Blesta support and updates?

Billing Area

Blesta support and updates?

If you have 3.3.0 and Blesta releases 3.3.1+ but your support & updates expire, you can still apply the patch however you can't upgrade to 3.4.x if your support & updates have expired. You will be given a Support and Updates error.

Please rate this article to help us improve our Knowledge Base.

0 0

Switch from a competitor to us today!